all: plugin
	ldd ../nocui.so

plugin:
	GO111MODULE="off" go build -v -x -buildmode=plugin -o ../nocui.so

cleanbuild:
	go build -v -x -buildmode=plugin -o ../nocui.so

check-git-clean:
	@git diff-index --quiet HEAD -- || (echo "Git repository is dirty, please commit your changes first"; exit 1)

redomod:
	rm -f go.*
	GO111MODULE= go mod init
	GO111MODULE= go mod tidy
